org.eclipse.emf.compare

## Enum ConflictKind

- java.lang.Object
- - java.lang.Enum<ConflictKind>
  - - org.eclipse.emf.compare.ConflictKind

All Implemented Interfaces:
  Serializable, Comparable<ConflictKind>, Enumerator

    public enum ConflictKind
    extends Enum<ConflictKind>
    implements Enumerator

A representation of the literals of the enumeration 'Conflict Kind', and utility methods for working with them. Conflicts detected through EMF Compare can be of a number of different types.

- REAL are the conflicts that cannot be merged automatically,
- PSEUDO are the "conflicts" that represent the same change made on the two sides, which can thus be automatically merged.

See Also:
  `ComparePackage.getConflictKind()`
Generated:

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`PSEUDO` The 'PSEUDO' literal object
`REAL` The 'REAL' literal object

### Field Summary

Fields
`static String` `copyright`
`static int` `PSEUDO_VALUE` The 'PSEUDO' literal value
`static int` `REAL_VALUE` The 'REAL' literal value
`static List<ConflictKind>` `VALUES` A public read-only list of all the 'Conflict Kind' enumerators

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ConflictKind` `get(int value)` Returns the 'Conflict Kind' literal with the specified integer value
`static ConflictKind` `get(String literal)` Returns the 'Conflict Kind' literal with the specified literal value
`static ConflictKind` `getByName(String name)` Returns the 'Conflict Kind' literal with the specified name
`String` `getLiteral()`
`String` `getName()`
`int` `getValue()`
`String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static ConflictKind` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ConflictKind[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### REAL

    public static final ConflictKind REAL

The 'REAL' literal object.

See Also:
  `REAL_VALUE`
Generated:

#### PSEUDO

    public static final ConflictKind PSEUDO

The 'PSEUDO' literal object.

See Also:
  `PSEUDO_VALUE`
Generated:

### Field Detail

#### copyright

    public static final String copyright

See Also:
  Constant Field Values
Generated:

#### REAL_VALUE

    public static final int REAL_VALUE

The 'REAL' literal value. conflicts that cannot be merged automatically as they represent incompatible differences on the two sides.

See Also:
  `REAL`, Constant Field Values
Generated:

#### PSEUDO_VALUE

    public static final int PSEUDO_VALUE

The 'PSEUDO' literal value. If the same change has been made on the two sides since the common ancestor, these changes will be marked as "pseudo-conflicting" changes : there are changes, but they can be merged automatically.

See Also:
  `PSEUDO`, Constant Field Values
Generated:

#### VALUES

    public static final List<ConflictKind> VALUES

A public read-only list of all the 'Conflict Kind' enumerators.

Generated:

### Method Detail

#### values

    public static ConflictKind[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ConflictKind c : ConflictKind.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ConflictKind valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### get

    public static ConflictKind get(String literal)

Returns the 'Conflict Kind' literal with the specified literal value.

Generated:

#### getByName

    public static ConflictKind getByName(String name)

Returns the 'Conflict Kind' literal with the specified name.

Generated:

#### get

    public static ConflictKind get(int value)

Returns the 'Conflict Kind' literal with the specified integer value.

Generated:

#### getValue

    public int getValue()

Specified by:
  `getValue` in interface `Enumerator`
Generated:

#### getName

    public String getName()

Specified by:
  `getName` in interface `Enumerator`
Generated:

#### getLiteral

    public String getLiteral()

Specified by:
  `getLiteral` in interface `Enumerator`
Generated:

#### toString

    public String toString()

Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<ConflictKind>`
Generated: